with Glib; use Glib;
with gdk.window;           use gdk.window;
with Gtk.Enums;       use Gtk.Enums;

package body Window_Pkg is
   procedure Gtk_New (Main_Window : out Main_Window_Access) is
   begin
      Main_Window := new Main_Window_Record;
      Initialize (Main_Window);
   end Gtk_New;
   procedure Initialize (Main_Window : access Main_Window_Record'Class) is
      --      pragma Suppress (All_Checks);
   begin
      Gtk.Window.Initialize (Main_Window, Window_Toplevel);
      Gtk_New (Main_Window.Area);
      Add (Main_Window, Main_Window.area);
   end Initialize;


   procedure initDraw (Main_Window : out Main_Window_Access) is
      W: gdk_Window;
      Width,Height: Gint;
   begin
      W:=Get_window (Main_Window.area);
      Get_Size (W, Width, Height);
      GDK.image.Gdk_New(Main_Window.image, Image_normal, get_visual(Main_Window.area),Width, Height);
      Gdk.Image.Get(Main_Window.image,w,0,0,Width,height);
   end InitDraw;
end Window_Pkg;
